SSTC/Controllers/ManagerController.cs
using Microsoft.EntityFrameworkCore;
using SSTC.Entity;
using SSTC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using static SSTC.Enum.Enums;

namespace SSTC.Controllers
{
    [Authorize(Roles = "Admin,Manager")]
    public class ManagerController : Controller
    {
        private SQLiteDBContext db = new SQLiteDBContext();
        public ActionResult Registry()
        {
            UsersRegistryDTO ur = new UsersRegistryDTO();
            string login = User.Identity.Name;
            User logedUser = db.User.Include(u => u.Projects).Include(u => u.Role).Where(u => u.Login.Equals(login)).First();
            if (logedUser.Role.Id == (int)UserRoles.Manager)
            {
                var up = db.UserProjects.Include(a => a.User).ToList();
                var projects = db.Project.Include(p => p.Projects).Include(p => p.Manager).ToList();
                List<Project> proj = new List<Project>();
                List<User> users = new List<User>();
                foreach (var p in projects)
                {
                    if (p.Manager.Equals(logedUser))
                    {
                        proj.Add(p);
                        foreach (var u in p.Projects)
                            if (!users.Contains(u.User))
                            {
                                users.Add(u.User);
                            }
                    }
                }
                ur.users = users;
                ur.current = (int)ur.users.FirstOrDefault().Id;
                ur.reg = new List<Registry>();
            }
            else
            {
                ur.users = db.User.Where(u => u.IsDeleted == false).ToList();
                ur.current = (int)ur.users.FirstOrDefault().Id;
                ur.reg = db.Registry.Include(r => r.Category).Include(r => r.Project).Where(r => r.User.Id == ur.current && (r.Status != (int)RegistryStatus.Odrzucony && r.Status != (int)RegistryStatus.Zatwierdzony_Etap_2)).ToList();
            }



            return View(ur);
        }
        [HttpPost]
        public ActionResult Registry(UsersRegistryDTO ur)
        {
            string login = User.Identity.Name;
            User logedUser = db.User.Include(u => u.Projects).Include(u => u.Role).Where(u => u.Login.Equals(login)).First();
            if (logedUser.Role.Id == (int)UserRoles.Manager)
            {
                var up = db.UserProjects.Include(a => a.User).ToList();
                var projects = db.Project.Include(p => p.Projects).Include(p => p.Manager).ToList();
                List<Project> proj = new List<Project>();
                List<User> users = new List<User>();
                foreach (var p in projects)
                {
                    if (p.Manager.Equals(logedUser))
                    {
                        proj.Add(p);
                        foreach (var u in p.Projects)
                            if (!users.Contains(u.User))
                            {
                                users.Add(u.User);
                            }
                    }
                }
                ur.users = users;
                ur.reg = db.Registry.Include(r => r.Category).Include(r => r.Project).Where(r => r.User.Id == ur.current && r.Status == (int)RegistryStatus.W_Akceptacji && proj.Contains(r.Project)).ToList();
            }
            else
            {
                ur.users = db.User.Where(u => u.IsDeleted == false).ToList();
                ur.reg = db.Registry.Include(r => r.Category).Include(r => r.Project).Where(r => r.User.Id == ur.current && (r.Status != (int)RegistryStatus.Odrzucony && r.Status != (int)RegistryStatus.Zatwierdzony_Etap_2)).ToList();
            }

            return View(ur);
        }

        public ActionResult Accept(int _id)
        {
            Registry reg = db.Registry.Where(r => r.Id == _id).First();
            string login = User.Identity.Name;
            User logedUser = db.User.Include(u => u.Projects).Include(u => u.Role).Where(u => u.Login.Equals(login)).First();
            if (logedUser.Role.Id == (int)UserRoles.Admin)
            {
                reg.Status = (int)RegistryStatus.Zatwierdzony_Etap_2;
            }
            else
            {
                reg.Status = (int)RegistryStatus.Zatwierdzony_Etap_1;
            }
            db.SaveChanges();
            return RedirectToAction("Registry");
        }
        public ActionResult Reject(int _id)
        {
            Registry reg = db.Registry.Where(r => r.Id == _id).First();
            reg.Status = (int)RegistryStatus.Odrzucony;
            db.SaveChanges();
            return RedirectToAction("Registry");
        }

        /// <summary>
        /// TODO
        /// </summary>
        /// <returns></returns>
        public ActionResult Motions()
        {
            string login = User.Identity.Name;
            User loggedUser = db.User.Include(u => u.Projects).Include(u => u.Role).Where(u => u.Login.Equals(login)).First();

            List<Motion> motions = new List<Motion>();
            if (loggedUser.Role.Id == (int)UserRoles.Admin)
            {
                motions = db.Motion.Include(m => m.User).Where(m => m.Status == (int)RegistryStatus.W_Akceptacji || m.Status == (int)RegistryStatus.Zatwierdzony_Etap_1).ToList();
            }
            else
            {
                var projects = db.Project.Include(p => p.Projects).Include(p => p.Manager).ToList();
                db.User.Load();
                List<User> users = new List<User>();
                foreach (var p in projects)
                {
                    if (p.Manager.Equals(loggedUser))
                    {
                        foreach (var u in p.Projects)
                            if (!users.Contains(u.User))
                            {
                                users.Add(u.User);
                            }
                    }
                }

                motions = db.Motion.Include(m => m.User).Where(m => users.Contains(m.User) && m.Status == (int)RegistryStatus.W_Akceptacji).ToList();

            }


            return View(motions);
        }

        public ActionResult AcceptMotion(int _id)
        {
            Motion mot = db.Motion.Where(r => r.Id == _id).First();
            string login = User.Identity.Name;
            User logedUser = db.User.Include(u => u.Projects).Include(u => u.Role).Where(u => u.Login.Equals(login)).First();
            if (logedUser.Role.Id == (int)UserRoles.Admin)
            {
                mot.Status = (int)MotionStatus.Zatwierdzony;
            }
            else
            {
                mot.Status = (int)MotionStatus.Zatwierdzony_Etap_1;
            }
            db.SaveChanges();
            return RedirectToAction("Motions");
        }
        public ActionResult RejectMotion(int _id)
        {
            Motion mot = db.Motion.Where(r => r.Id == _id).First();
            mot.Status = (int)MotionStatus.Odrzucony;
            db.SaveChanges();
            return RedirectToAction("Motions");
        }
    }
}

SSTC/Controllers/ProjectsController.cs
using Microsoft.EntityFrameworkCore;
using SSTC.Entity;
using SSTC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace SSTC.Controllers
{
    /// <summary>
    /// 
    /// </summary>
    [Authorize(Roles = "Admin")]
    public class ProjectsController : Controller
    {
        SQLiteDBContext db = new SQLiteDBContext();
        /// <summary>
        /// 
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public ActionResult Add(int id)
        {
            List<User> users = db.User.Where(u => u.IsDeleted != true).ToList();
            ProjectDTO dto = new ProjectDTO(new Project(), users);
            dto.categoryId = id;
            dto.project.Overtime = true;
            return View(dto);
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>

        [HttpPost]
        public ActionResult Add(ProjectDTO dto)
        {
            dto.project.Manager = db.User.Where(u => u.Id == dto.managerId).First();
            Category cat = db.Category.Where(c => c.Id == (long)dto.categoryId).First();
            dto.project.Category = cat;
            db.Project.Add(dto.project);
            db.SaveChanges();
            return RedirectToAction("EditProjects", "Admin");
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        public ActionResult Projects(int Id)
        {
            List<Project> _p = db.Project.Include(p => p.Projects).Where(p => p.Category.Id == Id).ToList();
            List<User> _u = db.User.Include(p => p.Projects).ToList();
            return View(_p);
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="_p"></param>
        /// <returns></returns>
        [HttpPost]
        public ActionResult SaveProjects(Project _p)
        {
            Project project = db.Project.Include(p => p.Category).Where(p => p.Id == _p.Id).First();
            project.Name = _p.Name;
            project.Overtime = _p.Overtime;
            project.Price = _p.Price;
            project.PayedHours = _p.PayedHours;
            project.ProjectStart = _p.ProjectStart;
            project.ProjectEnd = _p.ProjectEnd;
            db.SaveChanges();
            int Id = (int)project.Category.Id;
            return RedirectToAction("Projects/" + Id);
        }
        /// <summary>
        /// Metoda wyświetlająca pracowników projektu
        /// </summary>
        /// <param name="id">Id projektu</param>
        /// <returns>Widok pracowników dodanych do projektu</returns>
        public ActionResult EditMembers(long id)
        {
            List<User> members = db.User.Where(u => u.IsDeleted == false).ToList();
            List<UserProjects> uProjects = new List<UserProjects>();
            ProjectMembersDTO pMem = new ProjectMembersDTO();
            pMem.ProjectId = id;
            pMem.Members = new List<MembersDTO>();
            Project proj = db.Project.Include(p => p.Manager).Where(pr => pr.Id == id).First();
            long managerId = proj.Manager.Id;
            bool kierownik = false;
            try
            {
                uProjects = db.UserProjects.Where(u => u.Project.Id == id).ToList();

                foreach (User u in members)
                {
                    kierownik = false;
                    MembersDTO membersDTO = new MembersDTO();
                    foreach (var project in uProjects)
                    {
                        if (project.User.Id == u.Id)
                        {
                            membersDTO.InProject = true;
                        }
                    }
                    if (u.Id != managerId)
                    {
                        membersDTO.User = u;
                        pMem.Members.Add(membersDTO);
                    }
                }
            }
            catch (Exception e)
            {
                foreach (User u in members)
                {
                    MembersDTO membersDTO = new MembersDTO();
                    if (u.Id != managerId)
                    {
                        membersDTO.User = u;
                        pMem.Members.Add(membersDTO);
                    }
                }
            }
            return View(pMem);
        }
        public ActionResult BackToProjects(long Id)
        {
            Project project = db.Project.Include(p => p.Category).Where(pr => pr.Id == Id).First();
            return RedirectToAction("Projects/" + project.Category.Id);
        }
        [HttpPost]
        public ActionResult EditMembers(ProjectMembersDTO _p)
        {
            var cos = Request.Form["el.InProject"].Split(',').ToArray();
            var cos2 = Request.Form["User.userId"].Split(',').ToArray();

            Project pr = db.Project.Include(p => p.Projects).Where(p => p.Id == _p.ProjectId).First();
            bool isInProject = false;
            try
            {
                int c = 0;
                for (int i = 0; i < cos2.Length; i++)
                {
                    User user = db.User.Include(u => u.Projects).Where(u => u.Id == int.Parse(cos2[i])).First();
                    List<Project> notNecessary = db.Project.Include(p => p.Projects).ToList();
                    foreach (var up in user.Projects)
                    {
                        if (up.Project.Id == _p.ProjectId)
                        {
                            if (cos[c] == "false")
                            {
                                db.UserProjects.Remove(up);
                            }
                            else
                            {

                                isInProject = true;
                                c++;
                            }
                        }
                    }

                    if (!isInProject && cos[c] == "true")
                    {
                        UserProjects ups = new UserProjects(user, pr);
                        user.Projects.Add(ups);
                        pr.Projects.Add(ups);
                        c++;
                    }
                    db.SaveChanges();
                    isInProject = false;
                    c++;
                }
            }
            catch (InvalidOperationException e)
            {
                for (int i = 0; i < cos2.Length; i++)
                {
                    if (cos[i] == "true")
                    {
                        UserProjects userProject = new UserProjects(db.User.Where(u => u.Id == int.Parse(cos2[i])).First(), db.Project.Where(p => p.Id == _p.ProjectId).First());
                        db.UserProjects.Add(userProject);
                    }
                }
                db.SaveChanges();
            }

            return RedirectToAction("EditMembers/" + _p.ProjectId);
        }
    }
}

SSTC/Views/Admin/Create.cshtml
@model SSTC.Entity.User

@{
    ViewBag.Title = "Dodawanie użytkownika";
}

<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>

<script>
    function changeRowForContract() {  
        $("#next").attr("type", "submit");
        var inpObj = document.getElementById("login");
        if (!inpObj.checkValidity()) {
            document.getElementById("login").innerHTML = inpObj.validationMessage;
        }
        else if(!document.getElementById("name").checkValidity()) {
            document.getElementById("name").innerHTML = document.getElementById("name").validationMessage;
        }
            else if(!document.getElementById("surname").checkValidity()) {
            document.getElementById("surname").innerHTML = document.getElementById("surname").validationMessage;
        }
            else if(!document.getElementById("mail").checkValidity()) {
            document.getElementById("mail").innerHTML = document.getElementById("mail").validationMessage;
        }
        else {
            $("#next").attr("type", "button");
            $("#newUser").toggle();
            $("#newContract").toggle();
        }
    }
</script>
<script>
    function clickNoLimit() {
        if ($("#noLimit").is(":checked")) {
            $("#dateOfContractEnd").attr("type", "");
            $("#dateOfContractEnd").attr("value", "2999-31-31");
            $("#dateOfContractEnd").attr("ReadOnly", "true");
        }
        else {
            $("#dateOfContractEnd").removeAttr("value");
            $("#dateOfContractEnd").removeAttr("ReadOnly");
            $("#dateOfContractEnd").attr("type", "date");
        }
    }
</script>
<div align="center">
    @*@using (@Html.BeginForm()) {*@
    <table>
        <tr id=@("newUser")>
            <td>
                @*@using (@Html.BeginForm("Login", "Home", FormMethod.Post))*@
                <form class="form-signin" _lpchecked="1" method="post">

                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)
                    <font color="red" class="message">@TempData["Message"]</font><br />
                    <h1 class="h3 mb-3 font-weight-normal">Dane pracownika:</h1>

                    <p align="left" style="margin-left:20px; font-weight: bold;">Login:</p>
                    <label for="login" class="sr-only">Nazwa użytkownika</label>
                    @Html.TextBoxFor(a => a.Login, new { @class = "form-control", id = "login", required = "true", value = Model.Login })
                    @Html.ValidationMessageFor(a => a.Login)
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Imie:</p>
                    <label for="name" class="sr-only">Imie</label>
                    @Html.TextBoxFor(a => a.Name, new { @class = "form-control", id = "name", required = "true", value = Model.Name })
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Nazwisko:</p>
                    @Html.TextBoxFor(a => a.Surname, new { @class = "form-control", id = "surname", required = "true", value = Model.Surname })
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Adres E-mail:</p>
                    @Html.TextBoxFor(a => a.Mail, new { @class = "form-control", id = "mail", required = "true", type="email", value = Model.Mail })
                    <br />
                    <input class="btn btn-lg btn-primary btn-block" type="submit" id="next" value="Dalej" formvalidate onclick="changeRowForContract()" />
                @*</form>*@
            </td>
        </tr>
        <tr id=@("newContract") style="display:none">
            <td>
                @*@using (@Html.BeginForm("Login", "Home", FormMethod.Post))*@
                @*<form class="form-signin" _lpchecked="1" method="post">*@

                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)
                    <font color="red" class="message">@TempData["Message"]</font><br />
                    <h1 class="h3 mb-3 font-weight-normal">Dane umowy:</h1>

                    <p align="left" style="margin-left:20px; font-weight: bold;">Data podpisania/zmiany:</p>
                    <label for="dateOfContract" class="sr-only">Data podpisania/zmiany:</label>
                    @Html.TextBoxFor(a => a.Contract.DateOfContract, new { @class = "form-control", id = "dateOfContract", required = "true", type = "date" })
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Data końca umowy:</p>
                    <label for="dateOfContractEnd" class="sr-only">Data końca umowy:</label>
                    @Html.TextBoxFor(a => a.Contract.DateOfContractEnd, new { @class = "form-control", id = "dateOfContractEnd", required = "true", type = "date" })
                    <input type="checkbox" id="noLimit" name="noLimit" onclick="clickNoLimit()">
                    <label for="noLimit">Czas nieokreślony</label><br>
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Wymiar godzinowy:</p>
                    @Html.TextBoxFor(a => a.Contract.HoursDaily, new { @class = "form-control", id = "hoursDaily", required = "true"})
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Kwota brotto umowy:</p>
                    @Html.TextBoxFor(a => a.Contract.GrossAmount, new { @class = "form-control", id = "grossAmount", required = "true" })
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Stawka projektowa (%):</p>
                    @Html.TextBoxFor(a => a.Contract.HourlyRateProject, new { @class = "form-control", id = "hourlyRateProject", required = "true" })
                    <br />
                    <input class="btn btn-lg btn-primary btn-block" type="button" value="Wstecz" onclick="changeRowForContract()" />
                    <input class="btn btn-lg btn-primary btn-block btn-success" type="submit" value="Zapisz" />
                </form>
            </td>
        </tr>
    </table>
 
</div>

SSTC/Views/Admin/CreateCategory.cshtml
@model SSTC.Entity.Category



<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>

<script>
    function changeRowForContract() {  
        $("#next").attr("type", "submit");
        var inpObj = document.getElementById("login");
        if (!inpObj.checkValidity()) {
            document.getElementById("login").innerHTML = inpObj.validationMessage;
        }
        else if(!document.getElementById("name").checkValidity()) {
            document.getElementById("name").innerHTML = document.getElementById("name").validationMessage;
        }
            else if(!document.getElementById("surname").checkValidity()) {
            document.getElementById("surname").innerHTML = document.getElementById("surname").validationMessage;
        }
            else if(!document.getElementById("mail").checkValidity()) {
            document.getElementById("mail").innerHTML = document.getElementById("mail").validationMessage;
        }
        else {
            $("#next").attr("type", "button");
            $("#newUser").toggle();
            $("#newContract").toggle();
        }
    }
</script>
<script>
    function clickNoLimit() {
        if ($("#noLimit").is(":checked")) {
            $("#dateOfContractEnd").attr("type", "");
            $("#dateOfContractEnd").attr("value", "2999-31-31");
            $("#dateOfContractEnd").attr("ReadOnly", "true");
        }
        else {
            $("#dateOfContractEnd").removeAttr("value");
            $("#dateOfContractEnd").removeAttr("ReadOnly");
            $("#dateOfContractEnd").attr("type", "date");
        }
    }
</script>
<div align="center">
    @*@using (@Html.BeginForm()) {*@
    <table>
        <tr id=@("newUser")>
            <td>
                @*@using (@Html.BeginForm("Login", "Home", FormMethod.Post))*@
                <form class="form-signin" _lpchecked="1" method="post">

                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)
                    <font color="red" class="message">@TempData["Message"]</font><br />
                    <h1 class="h3 mb-3 font-weight-normal">Dane pracownika:</h1>

                    <p align="left" style="margin-left:20px; font-weight: bold;">Login:</p>
                    <label for="login" class="sr-only">Nazwa kategorii</label>
                    @Html.TextBoxFor(a => a.Name, new { @class = "form-control", id = "login", required = "true", value = Model.Name })
                    @Html.ValidationMessageFor(a => a.Name)
                    <br />
                    <input class="btn btn-lg btn-primary btn-block" type="submit" id="next" value="Dalej" formvalidate onclick="changeRowForContract()" />
                </form>
            </td>
        </tr>
    </table>
 
</div>

SSTC/Views/Admin/Dashboard.cshtml
@{
    ViewBag.Title = "Dashboard";
}
<div class="jumbotron">
    <h1>Zarządzaj.</h1>
</div>

<div class="container">
    @if (User.IsInRole("Admin"))
    {
        <div class="row">
            <div class="col-md-3">
                <h3>Chesz dodać, usunąć lub zmodyfikować użytkownika?</h3>

                <p><input class="btn btn-sm btn-warning btn-block" type="button" value="A jak?!" onclick="location.href='@Url.Action("EditUsers", "Admin")'" /></p>

            </div>
            <div class="col-md-3">
                <h3>A może przypadkiem masz ochotę na edycje projektów?</h3>

                <p><input class="btn btn-sm btn-success btn-block" type="button" value="Pewnie!" onclick="location.href='@Url.Action("EditProjects", "Admin")'" /></p>
            </div>
            <div class="col-md-3">
                <h3>Co powiesz na akceptacje czekających wnisków?</h3>

                <p><input class="btn btn-sm btn-danger btn-block" type="button" value="Bardzo chętnie!" onclick="location.href='@Url.Action("Motions", "Manager")'" /></p>
            </div>
            <div class="col-md-3">
                <h3>A może to czas na akceptacje czasu pracy?</h3>

                <p><input class="btn btn-sm btn-primary btn-block" type="button" value="Nie inaczej!" onclick="location.href='@Url.Action("Registry", "Manager")'" /></p>
            </div>
        </div>
    }
    @if (User.IsInRole("Manager"))
    {
    <div class="row">
        <div class="col-md-6">
            <h3>Co powiesz na akceptacje czekających wnisków?</h3>

            <p><input class="btn btn-sm btn-danger btn-block" type="button" value="Bardzo chętnie!" onclick="location.href='@Url.Action("Motions", "Manager")'" /></p>
        </div>
        <div class="col-md-6">
            <h3>A może to czas na akceptacje czasu pracy?</h3>

            <p><input class="btn btn-sm btn-primary btn-block" type="button" value="Nie inaczej!" onclick="location.href='@Url.Action("Registry", "Manager")'" /></p>
        </div>
    </div>
    }


</div>

SSTC/Views/Admin/EditProjects.cshtml
@model Tuple<List<SSTC.Entity.Category>, SSTC.Entity.Category>
@{
    ViewBag.Title = "Projekty";
}

<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>

<script>
    function addCategory() {
        $("#newCat").toggle("slow");
    }
</script>

<script>
    function showProjects(el) {
        $("#projectHeader" + el).toggle("slow");
        $("#project" + el).toggle("slow");
    }
</script>

<script>
    function editCategory(el) {
        $("#nameStatic" + el).toggle("slow");
        $("#nameChange" + el).toggle("slow");
        $("#delete" + el).toggle("slow");
        $("#save" + el).toggle("slow");
    }
</script>
<h2>Kategorie i projekty</h2>

<p>
    <a class="btn btn-lg btn-link" onclick="addCategory()">Dodaj kategorie</a>
</p>
<p>
    <table id="newCat" style="display:none">
        <tr>
            @using (@Html.BeginForm("AddCategory", "Admin", FormMethod.Post))
            {
                <td style="padding-right:10px">Nazwa kategorii:</td>
                <td style="padding-right:10px">@Html.TextBoxFor(modelItem => Model.Item2.Name)</td>
                <td><input class="btn btn-sm btn-primary btn-block" type="submit" id="next" value="Dodaj" /></td>
            }
        </tr>
    </table>
</p>

<div class="panel panel-default">

    <table class="table table-bordered table-condensed table-striped">
        <tr>
            <th>
                <span>Nazwa</span>
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model.Item1)
        {
            <tr>
                @using (@Html.BeginForm("SaveEditCategory", "Admin", FormMethod.Post))
                {
                    <td>
                        <div id=@("nameChangeID" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Id)</div>
                        <span id=@("nameStatic" + item.Id)>@item.Name</span>
                        <div id=@("nameChange" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Name)</div>
                    </td>
                    <td class="text-right">
                        <input class="btn btn-group btn-sm btn-b2" type="button" value="Dodaj projekt" onclick="location.href='@Url.Action("Add", "Projects", new { id = item.Id})'" />
                        <input class="btn btn-group btn-sm btn-b2" type="button" value="Projekty" onclick="location.href='@Url.Action("Projects", "Projects", new { Id = item.Id})'" />
                        <input class="btn btn-group btn-sm btn-primary edit" type="button" value="Edytuj" onclick="editCategory('@item.Id')" />
                        <input class="btn btn-group btn-sm btn-danger" id=@("delete" + item.Id) type="button" value="Usuń" onclick="location.href='@Url.Action("DeleteCategory", "Admin", new { id = item.Id })'" />
                        @*<input class="btn btn-group btn-sm btn-success" id=@("save" + item.Id) type="button" value="Zapisz" style="display:none" onclick="location.href='@Url.Action("SaveEditCategory", "Admin")'" />*@
                        <input class="btn btn-group btn-sm btn-success" id=@("save" + item.Id) type="submit" value="Zapisz" style="display:none" />
                    </td>
                }

            </tr>
        }
    </table>
</div>